#!/usr/bin/perl -w
use strict;

my $check = "0";

my @modCheck = qw(
Digest::MD5
Digest::SHA1
bla
);

for (@modCheck)
  {
    if (installed("$_"))
      {
        print "$_ installed (version ",$check,").\n"
      }
     else
      {
        print "$_ NOT installed.\n"
      }
  }

sub installed
  {
    my $module = $_;

    # Try to use Perl module
    eval "use $module";
    if ($@)
      {
        # Module is NOT installed
        $check = 0;
      }
     else
      {
        # Module is installed (reset module version to '1')
	$check = 1;
        my $version = 0;
	# Try to retrieve version number (eval)
        eval "\$version = \$$module\::VERSION";
	
	# Set version number if no problem occured
        $check = $version if (!$@);
      }

    return $check;
}

exit();

